GNU bug report logs - #34206
Pdumper giving a segfault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Compro Prasad <comproprasad@HIDDEN>; dated Sat, 26 Jan 2019 07:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 28 Jan 2019 12:20:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 07:20:04 2019
Received: from localhost ([127.0.0.1]:48294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1go5tU-0008WU-G0
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 07:20:04 -0500
Received: from mail-oi1-f171.google.com ([209.85.167.171]:38877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <comproprasad@HIDDEN>) id 1go5tS-0008Vt-42
 for 34206 <at> debbugs.gnu.org; Mon, 28 Jan 2019 07:20:03 -0500
Received: by mail-oi1-f171.google.com with SMTP id a77so12826558oii.5
 for <34206 <at> debbugs.gnu.org>; Mon, 28 Jan 2019 04:20:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jDo8acyE9ijQbqzBaUUVTrOZ7reOfVb0pvBIhUXxQy4=;
 b=BFWaV8jOJ3vlQlq36kE1CmpGLURMP/kMi8Q+lX64RM0SfXUwvweRaXSLD1sEekFp6B
 X4Y3LkA9LBVnoDaZlRsIRqiq1dYWw7ZOk/cSy5d7YFIobQYEQADozYqk4nlLA+t4X0Y0
 a0VQC8HSuZ/DN+R6GvLvQR0cHI79sldWjgcmd8co93rEU6VgVSIE4V0x9qMSGxyUY4dD
 iDH+RrLr3M8pdu+xyDNwOBp+uYiU9UBzYBkeY3oEplOiPctigt3XmbXe1bGjlN+XSvnR
 yFLJynK4auh+Jp8Q+KRBvu5PbwMJWCUEkyd30+1NZ94If3Gfnw1if8Ronj5SXDrl7684
 hjWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jDo8acyE9ijQbqzBaUUVTrOZ7reOfVb0pvBIhUXxQy4=;
 b=dTnVsfllUgK5xvDmpEVMEHZJ7u4A//W3MkhR6eO67L5+o8w0D1AYN3fjgLNVrk1Jv3
 7ss3SwbbncGJb508Bdn4n5Y4thk7dq7C5vouAm8ynyNxe7LKljoslS65PXT6ViDMLu/Q
 zOdQnPeKsfS6C7fIG3B++r8+fkfklzZz6PMj62eegfWG2kWHet6eEGXNxkJI1x1OunMn
 0HmMgqpjWneAvAkMW0BAAm55iKRG75Jg6WZGp/SvDjy2b1GGcDslM6arB988+Qg/3rSI
 Hf4OTMieLPJs4FaCmGSZoL4rR0JETd8Kw8vgH0xClcz4DZe6gbwMmTzsH8nc+ktAqPBR
 ANWA==
X-Gm-Message-State: AJcUukcxtA+69dHRqmFOQ4FAC1RDnHylJfL4ffCyni3/QH+ayQ+aPajh
 8PjdnctVEvFOauwST1D/Z0yn00qTnkGIeAsJHMZ4Y3TO
X-Google-Smtp-Source: ALg8bN6GZi3LmJ3iOaWhEcoAfBzA1GblaAv3mR/bmIWiE+CJOJ4ekeeyjjeaymXt2NAw4DHbnsJxozCWmYyauVScNkI=
X-Received: by 2002:aca:195:: with SMTP id 143mr5632367oib.322.1548677996248; 
 Mon, 28 Jan 2019 04:19:56 -0800 (PST)
MIME-Version: 1.0
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <ca84aa82-2ab5-8c92-5683-50d1e1c2b705@HIDDEN>
In-Reply-To: <ca84aa82-2ab5-8c92-5683-50d1e1c2b705@HIDDEN>
From: Compro Prasad <comproprasad@HIDDEN>
Date: Mon, 28 Jan 2019 17:49:39 +0530
Message-ID: <CAF5vbPnwVB8-au7ZbLGQ5Cy5BSjtCKL94RwWNDNizB7FGu4xNA@HIDDEN>
Subject: Re: bug#34206: Pdumper giving a segfault
To: Daniel Colascione <dancol@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Jan 27, 2019 at 9:22 AM Daniel Colascione <dancol@HIDDEN> wrote:
>
> On 1/25/19 10:33 PM, Compro Prasad wrote:
> > Emacs source: official master branch (commit: 7960951d5d)
> > Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
> > (commit: f5eef2127ad4d)
> > Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
> > (commit: 8a1eebc65f9a)
> >
> > Build command: ./configure --enable-checking='yes,glyphs'
> > --enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
> > make -j2
> >
> > GDB log: https://pastebin.com/2uMPHCRV
> >
> > OS: Antergos(Arch Linux)
> > Compiler: gcc version 8.2.1 20181127 (GCC)
> >
> > Can't provide further information because Emacs segfaults before it
> > can load any elisp packages while loading the dump file.
> >
> > I might be doing something wrong here. Can you please guide me how to
> > use the pdumper in Emacs or what info topic is it under?
>
> That looks like a legitimate bug. I don't know anything about spacemacs.
> Can you provide a recipe for reproducing this crash starting from a
> stock master checkout? Thanks.

I fixed it by setting dotspacemacs-editing-style to 'vim from 'hybrid
. You can see it here:
https://github.com/Compro-Prasad/.spacemacs.d/commit/70033fb6c429244d0a72663e8258fe05637f5cfd#diff-64ed6d0a7a4f2eaf33cacc2454a19cffL234

You can clone the repo in the above link to `~/.spacemacs.d` and clone
https://github.com/Compro-Prasad/spacemacs (branch:
pdumper-is-in-master) to `~/.emacs.d`. Then start Emacs(Packages will
be downloaded for the first time). It should work perfectly fine. You
can see the dumping status in `*spacemacs-dumper*` buffer. Then
specify the command:

emacs-27.0.50 --dump-file ~/.emacs.d/.cache/dumps/spacemacs.pdmp

to load the dump. This won't work(will crash) if the
dotspacemacs-editing-style is 'hybrid in `~/.spacemacs.d/init.el`

The emacs 27 executable used was by building from the official master branch.

If you are doubtful about any of the above steps then you can ask me
or ask spacemacs specific questions at
https://gitter.im/syl20bnr/spacemacs .




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 27 Jan 2019 03:52:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 22:52:36 2019
Received: from localhost ([127.0.0.1]:46910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnbUq-00058V-5d
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 22:52:36 -0500
Received: from dancol.org ([96.126.100.184]:57000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1gnbUn-00058M-Td
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 22:52:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:To:Subject;
 bh=GysH1F2CX3zJIf00ALEdrPJ1vVBFLUvyuQWVqUt3bXs=; 
 b=IOJGK3ZBSJB1UDsM+nKhMebxL9RpXvqFoK10/uZi1Fh1CGElQgflgikIWZ0jLp1n1qpjGgtB87w2T3HcQp+cmU0Gdkix/YyN+tJUO8hDsR9yLzKnFdrf7wo4pJ7KU/hwzBCv9Ul9Cf54FCs/qAEoiqiH0CDW78z+aypJ/HCWaIOMmI9PwBzxTMxu0U52IIPKq/ngEjdxRvDik5pd2AAzcEfXRt4Ma4Nr9l1ArYQame3r+k5nUfnJc7yITQZinkKd58BzrY6TZAGChZkh/Uw/ZZ0HxaBzFX5CiVasW95/vtq7yt1KcRjXqvt8yxpmsQDwp0EWpqvC/yl04mvQMGcioA==;
Received: from [2604:4080:1321:9a00:f455:12b4:e650:5d75]
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>)
 id 1gnbUn-0002zU-Ez; Sat, 26 Jan 2019 19:52:33 -0800
Subject: Re: bug#34206: Pdumper giving a segfault
To: Compro Prasad <comproprasad@HIDDEN>, 34206 <at> debbugs.gnu.org
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <ca84aa82-2ab5-8c92-5683-50d1e1c2b705@HIDDEN>
Date: Sat, 26 Jan 2019 19:52:26 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 1/25/19 10:33 PM, Compro Prasad wrote:
> Emacs source: official master branch (commit: 7960951d5d)
> Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
> (commit: f5eef2127ad4d)
> Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
> (commit: 8a1eebc65f9a)
> 
> Build command: ./configure --enable-checking='yes,glyphs'
> --enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
> make -j2
> 
> GDB log: https://pastebin.com/2uMPHCRV
> 
> OS: Antergos(Arch Linux)
> Compiler: gcc version 8.2.1 20181127 (GCC)
> 
> Can't provide further information because Emacs segfaults before it
> can load any elisp packages while loading the dump file.
> 
> I might be doing something wrong here. Can you please guide me how to
> use the pdumper in Emacs or what info topic is it under?

That looks like a legitimate bug. I don't know anything about spacemacs. 
Can you provide a recipe for reproducing this crash starting from a 
stock master checkout? Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 27 Jan 2019 03:50:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 22:50:31 2019
Received: from localhost ([127.0.0.1]:46906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnbSl-00055P-Fg
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 22:50:30 -0500
Received: from dancol.org ([96.126.100.184]:56994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1gnbSj-00055G-Lm
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 22:50:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject;
 bh=fN23bALpR7xobGvBeWnLJoqOiWC9ZEiPI73xYhw1Opw=; 
 b=NlEaI9Q0Axx4JM9lASGLunGxLFtlNTZdPx/T2cyljgXWiL7JgFvEwCUp0ax4PN1JWHqVRptGmVltRL1MAihCuFxZSSPXDs9Up1mPlyjlfun+4ohdCRsMz7OFqFmWzAgUHwGJRQEGwHbnkTU25MajUDvDpe7K/dyWbBJyFhR92k+Mr1t38cNbqOybpBd5Jno8ZyI7mf/wDwho6kxLDSgV91GaPZF7VJFlRkptSy3hG45wvrUNcd+JD9MR8PNdPIjwn3plpOekwi5FprzP8Eo5ddytmBbFiWRwGn42p7B1wbBQFJKu2sTEQ8G8xGGLURobhvq3CVBlZ4hnto3ket+ruQ==;
Received: from [2604:4080:1321:9a00:f455:12b4:e650:5d75]
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>)
 id 1gnbSh-0002yl-DH; Sat, 26 Jan 2019 19:50:23 -0800
Subject: Re: bug#34206: Pdumper giving a segfault
To: Eli Zaretskii <eliz@HIDDEN>, Compro Prasad <comproprasad@HIDDEN>
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
 <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
 <83imyb66dn.fsf@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <c02f7505-40bd-378a-98bd-14e86fcb468f@HIDDEN>
Date: Sat, 26 Jan 2019 19:50:17 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <83imyb66dn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 1/26/19 2:49 AM, Eli Zaretskii wrote:
>> From: Compro Prasad <comproprasad@HIDDEN>
>> Date: Sat, 26 Jan 2019 14:33:57 +0530
>> Cc: 34206 <at> debbugs.gnu.org
>>
>>>> GDB log: https://pastebin.com/2uMPHCRV
>>>
>>> This seems to indicate your configuration is quite complex, and I
>>> cannot easily understand what are you doing that is different from
>>> the normal build and "emacs -Q" to start Emacs.  In particular, this:
>>>
>>>    $ gdb ./src/emacs-27.0.50.11
>>>    Reading symbols from ./src/emacs-27.0.50.11...done.
>>>    (gdb) r --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
>>>    Starting program: /home/compro/Downloads/git.savannah.gnu.org/git/emacs/src/emacs-27.0.50.11 --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
>>>
>>> indicates that your pdump file is spacemacs.pdmp, but I don't know how
>>> that file was produced, and I cannot easily understand what is
>>> different in your build procedure from the normal upstream build of
>>> Emacs.
>> I don't know if you can help me but I have some more information on
>> how the dump might be produced.
>>
>> https://github.com/Compro-Prasad/spacemacs/blob/pdumper-is-in-master/core/core-dumper.el#L68
> 
> I don't think this helps much, as I don't really know anything about
> spacemacs and its build procedures.
> 
>> I went a bit further and tried executing the following using `C-x C-e`
>> while running spacemacs:
>>
>>     (dump-emacs-portable "~/test.pdmp")
>>
>> It gave me: eval: unsupported object type in dump: window configuration
>>
>> Is this a bug or I am supposed to run Emacs in batch mode while dumping?
> 
> Yes, dump-emacs-portable can only be invoked in batch mode.

That's not quite true. There's no particular reason it can't be invoked 
in any mode, but as the message indicates, there are some objects that 
pdumper doesn't know how to dump. Packages maintaining these objects 
should add-function to dump-emacs-portable to temporarily make these 
objects disappear while a dump is in progress.

In any case, neither the dump nor load should actually segfault. A 
segfault is a bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 15:19:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 10:19:04 2019
Received: from localhost ([127.0.0.1]:46704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnPjb-0000rA-Su
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:19:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gnPja-0000qe-DL
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:19:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43408)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnPjV-0003X0-7e; Sat, 26 Jan 2019 10:18:57 -0500
Received: from [176.228.60.248] (port=3031 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnPjU-0007XV-QR; Sat, 26 Jan 2019 10:18:57 -0500
Date: Sat, 26 Jan 2019 17:18:38 +0200
Message-Id: <837eer5twx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Compro Prasad <comproprasad@HIDDEN>
In-reply-to: <CAF5vbPkLokn_j244+mZ_OQFZc0HNjq+LE-bh5D2LOPPkBfQJgA@HIDDEN>
 (message from Compro Prasad on Sat, 26 Jan 2019 20:35:41 +0530)
Subject: Re: bug#34206: Pdumper giving a segfault
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
 <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
 <83imyb66dn.fsf@HIDDEN>
 <CAF5vbPkLokn_j244+mZ_OQFZc0HNjq+LE-bh5D2LOPPkBfQJgA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Compro Prasad <comproprasad@HIDDEN>
> Date: Sat, 26 Jan 2019 20:35:41 +0530
> Cc: 34206 <at> debbugs.gnu.org
> 
> > > https://github.com/Compro-Prasad/spacemacs/blob/pdumper-is-in-master/core/core-dumper.el#L68
> >
> > I don't think this helps much, as I don't really know anything about
> > spacemacs and its build procedures.
> Spacemacs is just another Emacs configuration. It doesn't mess with
> the official Emacs source. This doesn't require any additional build
> steps.

But AFAITCT, it dumps Emacs from a separate file, not from loadup.el,
right?  And that separate file does something before dumping in
addition to what loadup.el does, right?  These extras is what confuses
me.  Granted, when I build Emacs from the master branch, it doesn't
segfault on startup.

> > Yes, dump-emacs-portable can only be invoked in batch mode.
> Thanks for the information.
> 
> Can you please give a simple example of the best way to dump Emacs and
> reload the dump file?

The only way I know of is to clone the Emacs Git's master branch and
build it as described in INSTALL.REPO.

> I would also appreciate any links to the Emacs info manual.

The portable dumping is described in the ELisp manual in the master
branch, see the node "Building Emacs" there.  There's also some
information in the Emacs manual, where the command-line options are
described, and in NEWS.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 15:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 10:06:06 2019
Received: from localhost ([127.0.0.1]:46690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnPX4-0000Wr-CC
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:06:06 -0500
Received: from mail-oi1-f169.google.com ([209.85.167.169]:39242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <comproprasad@HIDDEN>) id 1gnPX1-0000WN-Ph
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 10:06:04 -0500
Received: by mail-oi1-f169.google.com with SMTP id i6so9848454oia.6
 for <34206 <at> debbugs.gnu.org>; Sat, 26 Jan 2019 07:06:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vR43kCoC6rc5S+L+nGkGzS0Rs/BTx5sroohQV9+QfU4=;
 b=txWisB1/9iXWShDrjl6TtDXpPHoUN0O8l4JLNHFJwX8YjhI6bsja7+sA7rEFTKZ3QK
 9AA7/l+9Qucn1C3xE8TMtLW6Z7pO4x2HqCvSsJVkvMvr8kPK23Vad+umtV+BE9dHXU45
 B8fYA6V62ai979NlPoHfQilHIxyN+5iJ6nhHRo45R5o6c/BvgW3yGYLrmEnBTIHBbtVl
 evS4YjZqtYv3CtLJlDMWHplQbctuvTZoV0jCFD3YCIoFpmB9xTbU4N0UkZ84TOEcV3lt
 TpuLId4ZIvO6fpq6MJKxEHHJdH4sx2ZWRaCKhVLN+/mN9TDu3uXEetF9z11pizCjMEsH
 /0Dw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vR43kCoC6rc5S+L+nGkGzS0Rs/BTx5sroohQV9+QfU4=;
 b=dlQE9w/5bZxsJSBLZ0DkLU2KUTWju9Whnkr/hO6RuEm1nCBlEm0D5RtTrtCXefB7A7
 xDX9DHF3Is4Zgj8bmHRZzvM3imeYT2JG3buXnjTw1Q3dBrk7MlJ7khI1frCjimmTx/zH
 tlMi9BoiwB++dm6yIH0BYRfF/zfUNgTcglmEreXES/eQdDu1bd29BLAwAM3Spz8rYgBf
 2kK3UztCfZVc2ZPvi7kE57Ms2WKqXdvt9cS6BbZwySnybLMR55U2IsXH4D/2EhUhY76s
 H/JGR3Xo9HdY1+PG+uzkObrl2xx4Ti8zm0hZJ9aukVwvbFujsMl3Q5aKrD0xWFvn3ZNO
 xA2A==
X-Gm-Message-State: AJcUukfSQO0PLMEokHHXV0PV2JXH4yTA26fWtsT7QnA74VTKhilfA70w
 OPT+yAMRolQ60C1kZX4SwZm4e0SRYK2vyWLN9wA=
X-Google-Smtp-Source: ALg8bN4d52sbCefw4mwRtk3EXwgvYd9SK/03OTC4jKX/OSmBvLrSlssFWx93NxkyyN6sVUNzjXJ9JJuciXFjK+kW0h0=
X-Received: by 2002:aca:195:: with SMTP id 143mr1167034oib.322.1548515157941; 
 Sat, 26 Jan 2019 07:05:57 -0800 (PST)
MIME-Version: 1.0
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
 <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
 <83imyb66dn.fsf@HIDDEN>
In-Reply-To: <83imyb66dn.fsf@HIDDEN>
From: Compro Prasad <comproprasad@HIDDEN>
Date: Sat, 26 Jan 2019 20:35:41 +0530
Message-ID: <CAF5vbPkLokn_j244+mZ_OQFZc0HNjq+LE-bh5D2LOPPkBfQJgA@HIDDEN>
Subject: Re: bug#34206: Pdumper giving a segfault
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 26, 2019 at 4:19 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Compro Prasad <comproprasad@HIDDEN>
> > Date: Sat, 26 Jan 2019 14:33:57 +0530
> > Cc: 34206 <at> debbugs.gnu.org
> >
> > > > GDB log: https://pastebin.com/2uMPHCRV
> > >
> > > This seems to indicate your configuration is quite complex, and I
> > > cannot easily understand what are you doing that is different from
> > > the normal build and "emacs -Q" to start Emacs.  In particular, this:
> > >
> > >   $ gdb ./src/emacs-27.0.50.11
> > >   Reading symbols from ./src/emacs-27.0.50.11...done.
> > >   (gdb) r --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
> > >   Starting program: /home/compro/Downloads/git.savannah.gnu.org/git/emacs/src/emacs-27.0.50.11 --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
> > >
> > > indicates that your pdump file is spacemacs.pdmp, but I don't know how
> > > that file was produced, and I cannot easily understand what is
> > > different in your build procedure from the normal upstream build of
> > > Emacs.
> > I don't know if you can help me but I have some more information on
> > how the dump might be produced.
> >
> > https://github.com/Compro-Prasad/spacemacs/blob/pdumper-is-in-master/core/core-dumper.el#L68
>
> I don't think this helps much, as I don't really know anything about
> spacemacs and its build procedures.
Spacemacs is just another Emacs configuration. It doesn't mess with
the official Emacs source. This doesn't require any additional build
steps.
> > I went a bit further and tried executing the following using `C-x C-e`
> > while running spacemacs:
> >
> >    (dump-emacs-portable "~/test.pdmp")
> >
> > It gave me: eval: unsupported object type in dump: window configuration
> >
> > Is this a bug or I am supposed to run Emacs in batch mode while dumping?
>
> Yes, dump-emacs-portable can only be invoked in batch mode.
Thanks for the information.

Can you please give a simple example of the best way to dump Emacs and
reload the dump file? I would also appreciate any links to the Emacs
info manual.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 11:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 06:50:34 2019
Received: from localhost ([127.0.0.1]:45867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnMTp-0001uO-BM
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 06:50:33 -0500
Received: from mail-oi1-f178.google.com ([209.85.167.178]:36349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <comproprasad@HIDDEN>) id 1gnJsx-0006RP-Q6
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 04:04:20 -0500
Received: by mail-oi1-f178.google.com with SMTP id x23so9506686oix.3
 for <34206 <at> debbugs.gnu.org>; Sat, 26 Jan 2019 01:04:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3VGjAfm5TRAvTBNbivILG3eh3uod19Ndwi9Ry4+XWOo=;
 b=PABbfgeh00XeV0WEGwSF6GNLgJDQQgUCLPLJArPYBxBc3mlEB2fSpjaaMKZd7fq56Z
 ta3ZIf5tGO6LuAglNs4aWGPCIWl4cuywz0GNONmKxGcl59YQnxVn11n1cKLxcd1Mhc+f
 xgspTUvq7PraN3bqqxIz2LXTXsvg8qYHX1ktuI0zotn0cIq7hj7oKtrq9ThsJVY8XyDt
 eyH0lZr7LDH5ar552KmCTxCnPGNiTlRRqP1f6Zdg1ve5WQ6Mk3Bmbo7CcAFQNDb95AMX
 W4mBFrr1hRNQ/OIW+V7lqm4OLMjPNepRXPIhrvxYU7A6755QtFyFB4m7w6gZSSGkETQk
 t8DQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3VGjAfm5TRAvTBNbivILG3eh3uod19Ndwi9Ry4+XWOo=;
 b=HhEmelUzu5xtU6e/KPzFj0oRw83IpMP08jPF4ZPMsSweKmhb311GP2l54qxLVgS5TQ
 zAghm8nmgPAOI/nYSzD9W8cfWbWdXhsNLWy5zxTKrL4b/rvOVlG3otUWOKFzPxGHblf8
 jYsWAD8Y1lZKkHPNYPSODshm7zTGFAiaIk0MndtJKYVasWG0GnZAG8WOFL9BVj6jU+AL
 lKtDOYavqEwcnLs9sYhd5vvsJGAOTyJYeGJRl9sF4B7bIgZ8jyYDMjKOL+ScYXyAa5Vh
 IOhcb1q5F2XiittRedp8sGyiK6bKXj6mVj87tRMb2FQABQb3jpNpKZyx86iMRwNIEXmF
 kQZQ==
X-Gm-Message-State: AJcUukfUIt+OGQKs6/ZfBg7263JfUPL9qMFSuuTb3s8YUrUQwXQa2RHu
 GjmxDmf6/LY2/qNspCxTTdBCPNR8KtdFxfWTJR0=
X-Google-Smtp-Source: ALg8bN4nsL17oK4a2IX2wVJ2ZTATNvMC7rILdwizvKq+UV+SpipKi6swBVVSXmqRbUYjgyDXM+FYLJ63viEhSfeRGkI=
X-Received: by 2002:aca:50cf:: with SMTP id e198mr584174oib.343.1548493454105; 
 Sat, 26 Jan 2019 01:04:14 -0800 (PST)
MIME-Version: 1.0
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
In-Reply-To: <83munn6dx9.fsf@HIDDEN>
From: Compro Prasad <comproprasad@HIDDEN>
Date: Sat, 26 Jan 2019 14:33:57 +0530
Message-ID: <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
Subject: Re: bug#34206: Pdumper giving a segfault
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34206
X-Mailman-Approved-At: Sat, 26 Jan 2019 06:50:31 -0500
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 26, 2019 at 1:36 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Compro Prasad <comproprasad@HIDDEN>
> > Date: Sat, 26 Jan 2019 12:03:59 +0530
> >
> > Emacs source: official master branch (commit: 7960951d5d)
> > Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
> > (commit: f5eef2127ad4d)
> > Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
> > (commit: 8a1eebc65f9a)
> >
> > Build command: ./configure --enable-checking='yes,glyphs'
> > --enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
> > make -j2
> >
> > GDB log: https://pastebin.com/2uMPHCRV
>
> This seems to indicate your configuration is quite complex, and I
> cannot easily understand what are you doing that is different from
> the normal build and "emacs -Q" to start Emacs.  In particular, this:
>
>   $ gdb ./src/emacs-27.0.50.11
>   Reading symbols from ./src/emacs-27.0.50.11...done.
>   (gdb) r --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
>   Starting program: /home/compro/Downloads/git.savannah.gnu.org/git/emacs/src/emacs-27.0.50.11 --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
>
> indicates that your pdump file is spacemacs.pdmp, but I don't know how
> that file was produced, and I cannot easily understand what is
> different in your build procedure from the normal upstream build of
> Emacs.
I don't know if you can help me but I have some more information on
how the dump might be produced.

https://github.com/Compro-Prasad/spacemacs/blob/pdumper-is-in-master/core/core-dumper.el#L68

I went a bit further and tried executing the following using `C-x C-e`
while running spacemacs:

   (dump-emacs-portable "~/test.pdmp")

It gave me: eval: unsupported object type in dump: window configuration

Is this a bug or I am supposed to run Emacs in batch mode while dumping?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 10:49:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 05:49:54 2019
Received: from localhost ([127.0.0.1]:45844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnLX8-0000OB-64
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 05:49:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gnLX5-0000Nt-UL
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 05:49:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39553)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnLWy-0001nN-P4; Sat, 26 Jan 2019 05:49:46 -0500
Received: from [176.228.60.248] (port=1233 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnLWy-0000Vx-Cg; Sat, 26 Jan 2019 05:49:44 -0500
Date: Sat, 26 Jan 2019 12:49:24 +0200
Message-Id: <83imyb66dn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Compro Prasad <comproprasad@HIDDEN>
In-reply-to: <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
 (message from Compro Prasad on Sat, 26 Jan 2019 14:33:57 +0530)
Subject: Re: bug#34206: Pdumper giving a segfault
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
 <CAF5vbPm1K2_huUNQpS92j=qh0o=HhYaqaa8MJCZq_XJVTxHW_Q@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Compro Prasad <comproprasad@HIDDEN>
> Date: Sat, 26 Jan 2019 14:33:57 +0530
> Cc: 34206 <at> debbugs.gnu.org
> 
> > > GDB log: https://pastebin.com/2uMPHCRV
> >
> > This seems to indicate your configuration is quite complex, and I
> > cannot easily understand what are you doing that is different from
> > the normal build and "emacs -Q" to start Emacs.  In particular, this:
> >
> >   $ gdb ./src/emacs-27.0.50.11
> >   Reading symbols from ./src/emacs-27.0.50.11...done.
> >   (gdb) r --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
> >   Starting program: /home/compro/Downloads/git.savannah.gnu.org/git/emacs/src/emacs-27.0.50.11 --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
> >
> > indicates that your pdump file is spacemacs.pdmp, but I don't know how
> > that file was produced, and I cannot easily understand what is
> > different in your build procedure from the normal upstream build of
> > Emacs.
> I don't know if you can help me but I have some more information on
> how the dump might be produced.
> 
> https://github.com/Compro-Prasad/spacemacs/blob/pdumper-is-in-master/core/core-dumper.el#L68

I don't think this helps much, as I don't really know anything about
spacemacs and its build procedures.

> I went a bit further and tried executing the following using `C-x C-e`
> while running spacemacs:
> 
>    (dump-emacs-portable "~/test.pdmp")
> 
> It gave me: eval: unsupported object type in dump: window configuration
> 
> Is this a bug or I am supposed to run Emacs in batch mode while dumping?

Yes, dump-emacs-portable can only be invoked in batch mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 08:22:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 03:22:55 2019
Received: from localhost ([127.0.0.1]:45809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnJEr-0005Tq-8g
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 03:22:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gnJEn-0005TY-Uy
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 03:22:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38183)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnJEf-0000TK-MQ; Sat, 26 Jan 2019 03:22:41 -0500
Received: from [176.228.60.248] (port=4098 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnJEd-0003B4-9s; Sat, 26 Jan 2019 03:22:39 -0500
Date: Sat, 26 Jan 2019 10:22:16 +0200
Message-Id: <83lg376d6v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: comproprasad@HIDDEN
In-reply-to: <83munn6dx9.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 26
 Jan 2019 10:06:26 +0200)
Subject: Re: bug#34206: Pdumper giving a segfault
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 <83munn6dx9.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Sat, 26 Jan 2019 10:06:26 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 34206 <at> debbugs.gnu.org
> 
> I suggest to file an issue with the maintainers of
> Compro-Prasad/spacemacs.

Or maybe report this to the maintainers of syl20bnr/spacemacs from
where you forked yours.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at 34206 <at> debbugs.gnu.org:


Received: (at 34206) by debbugs.gnu.org; 26 Jan 2019 08:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 03:06:59 2019
Received: from localhost ([127.0.0.1]:45803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnIzS-00057z-OE
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 03:06:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gnIzQ-00057l-Sl
 for 34206 <at> debbugs.gnu.org; Sat, 26 Jan 2019 03:06:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37965)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gnIzH-0000Ou-Ke; Sat, 26 Jan 2019 03:06:47 -0500
Received: from [176.228.60.248] (port=3031 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gnIzH-0007cF-88; Sat, 26 Jan 2019 03:06:47 -0500
Date: Sat, 26 Jan 2019 10:06:26 +0200
Message-Id: <83munn6dx9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Compro Prasad <comproprasad@HIDDEN>
In-reply-to: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
 (message from Compro Prasad on Sat, 26 Jan 2019 12:03:59 +0530)
Subject: Re: bug#34206: Pdumper giving a segfault
References: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34206
Cc: 34206 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Compro Prasad <comproprasad@HIDDEN>
> Date: Sat, 26 Jan 2019 12:03:59 +0530
> 
> Emacs source: official master branch (commit: 7960951d5d)
> Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
> (commit: f5eef2127ad4d)
> Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
> (commit: 8a1eebc65f9a)
> 
> Build command: ./configure --enable-checking='yes,glyphs'
> --enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
> make -j2
> 
> GDB log: https://pastebin.com/2uMPHCRV

This seems to indicate your configuration is quite complex, and I
cannot easily understand what are you doing that is different from
the normal build and "emacs -Q" to start Emacs.  In particular, this:

  $ gdb ./src/emacs-27.0.50.11
  Reading symbols from ./src/emacs-27.0.50.11...done.
  (gdb) r --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"
  Starting program: /home/compro/Downloads/git.savannah.gnu.org/git/emacs/src/emacs-27.0.50.11 --dump-file="/home/compro/.emacs.d/.cache/dumps/spacemacs.pdmp"

indicates that your pdump file is spacemacs.pdmp, but I don't know how
that file was produced, and I cannot easily understand what is
different in your build procedure from the normal upstream build of
Emacs.

Maybe you should first take this up with then maintainers of the
Compro-Prasad/spacemacs package.

> OS: Antergos(Arch Linux)
> Compiler: gcc version 8.2.1 20181127 (GCC)
> 
> Can't provide further information because Emacs segfaults before it
> can load any elisp packages while loading the dump file.

The backtrace indicates that it segfaults _after_ loading the dump
file, inside the call to init_buffer.

> I might be doing something wrong here. Can you please guide me how to
> use the pdumper in Emacs or what info topic is it under?

There's no difference in how pdump'ed Emacs should be used, it's the
same as you'd use an unexec'ed Emacs.

I suggest to file an issue with the maintainers of
Compro-Prasad/spacemacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2019 07:17:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 26 02:17:09 2019
Received: from localhost ([127.0.0.1]:45795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnIDC-0003hk-WD
	for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 02:17:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <comproprasad@HIDDEN>) id 1gnHYF-0000xH-T0
 for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 01:34:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:38328)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <comproprasad@HIDDEN>)
 id 1gnHY8-0002IX-B0
 for submit <at> debbugs.gnu.org; Sat, 26 Jan 2019 01:34:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53450)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <comproprasad@HIDDEN>) id 1gnHY7-00015S-DD
 for bug-gnu-emacs@HIDDEN; Sat, 26 Jan 2019 01:34:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <comproprasad@HIDDEN>) id 1gnHY4-0002Fq-Hx
 for bug-gnu-emacs@HIDDEN; Sat, 26 Jan 2019 01:34:39 -0500
Received: from mail-ot1-x32d.google.com ([2607:f8b0:4864:20::32d]:38224)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <comproprasad@HIDDEN>)
 id 1gnHXq-00027R-OY
 for bug-gnu-emacs@HIDDEN; Sat, 26 Jan 2019 01:34:26 -0500
Received: by mail-ot1-x32d.google.com with SMTP id e12so10603262otl.5
 for <bug-gnu-emacs@HIDDEN>; Fri, 25 Jan 2019 22:34:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=mgDSRJ2DAi2RURm6ro5lHN8/cN0irqO8mOptgWTkcnc=;
 b=EYb2x+n4anjEuKO4bU5XKCVEjc1xiZc5I/cPPDDpHpxfHM9NvAOJ5hjCHWQuF6UQVb
 gPM+9U9FNGI8MUkSuUF4HKf9Zk38htRxY+XxehGdRarzqJQsCLotzPptQOm1CykiDdYi
 kqB9Y2ZVQuY2EdPv/4AK0l9x+L6Sr6RWEbBicCrFlsHwMcNu45uWbEZXHwmuDDHpNKi4
 4kKQIyXFCxmd6ort/W8d1+LbQenJ4pGlB8OUzkMWQ+yWj37lUi0Ab2uJ7wojRIzOgIZ7
 hS+2yQiWCto5eLcTaEODRIGIGgvF2P+WhAu55AhNAlFn6UKzcLjVYYKguzvtDtY+KOIy
 0Hfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=mgDSRJ2DAi2RURm6ro5lHN8/cN0irqO8mOptgWTkcnc=;
 b=aCtNJhviHlRAOCcZNfLnKu456AvarSSMk0sAa+vipQCnzP+194DGm9i7OiqTGtRuYb
 lC8tppRijzCwcv4FC7xykU5GLhM4rn6zw4umkeeXTuMyFTIpz5iOYMaV255wQjucLcjY
 JWibzDW+rYXzBnpMYVrZeoHq+FbRBOl8A1yBSEIFMHCl3lePG3smNwdm7V/FEx303ogw
 9MHM9VRUfza6DwrvnS0lavcw8FG8z0nYcfFlhaJG9EGgtUN50REQOg9tUvMUMWiXg8iR
 2E9mqVtVxs1ENbiX/C/U/9zKfTlIDWQ4S/fP0B4W8vwFzCwj4c7IhxC4hmO7kwcEBp/T
 Y4LA==
X-Gm-Message-State: AJcUukfAu5u1J+x06ewVeBOEceIgvo3TJ9vNpfRPa693kOz5v5LjqCE3
 D72jzZvEe9pmrn6qKe/Nc+B5R8W12x4K6syHNaI35yoi
X-Google-Smtp-Source: ALg8bN5J+7wh4g9OkoOc4V0YfE+ibyEAnO5BkqlsJRUwySDblkTx73JeIlZkMnBPu4INNIhtzPlUVcXkVG59tULGxvE=
X-Received: by 2002:a9d:1b0b:: with SMTP id l11mr10787555otl.162.1548484455693; 
 Fri, 25 Jan 2019 22:34:15 -0800 (PST)
MIME-Version: 1.0
From: Compro Prasad <comproprasad@HIDDEN>
Date: Sat, 26 Jan 2019 12:03:59 +0530
Message-ID: <CAF5vbPn8KOW=H6w0WUSaAs5fdFsGM2X4s8jV-ureVxePRkMr8w@HIDDEN>
Subject: Pdumper giving a segfault
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::32d
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 26 Jan 2019 02:17:06 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Emacs source: official master branch (commit: 7960951d5d)
Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
(commit: f5eef2127ad4d)
Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
(commit: 8a1eebc65f9a)

Build command: ./configure --enable-checking='yes,glyphs'
--enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
make -j2

GDB log: https://pastebin.com/2uMPHCRV

OS: Antergos(Arch Linux)
Compiler: gcc version 8.2.1 20181127 (GCC)

Can't provide further information because Emacs segfaults before it
can load any elisp packages while loading the dump file.

I might be doing something wrong here. Can you please guide me how to
use the pdumper in Emacs or what info topic is it under?

Regards,
Abhishek(Compro) Prasad




Acknowledgement sent to Compro Prasad <comproprasad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34206; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 Jan 2019 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.